Bug 1277170 - [Wayland] Locking mouse cursor to Wine window doesn't work
[Wayland] Locking mouse cursor to Wine window doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-02 09:46 EST by srakitnican
Modified: 2017-11-17 04:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-17 04:19:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srakitnican 2015-11-02 09:46:29 EST
Description of problem: In LFS.exe (live for Speed) pressing CTRL + C locks mouse cursor to window boundaries, important because steering can be done with mouse. In X.org that feature works fine, but not under Wayland.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Start the game
2. Press Ctrl + C until "CTRL + C - mouse clipped to window" message appears
3. Try moving mouse outside LFS.exe window.

Actual results:


Expected results:


Additional info: https://bugs.winehq.org/attachment.cgi?id=52687
Comment 1 Olivier Fourdan 2015-11-03 04:50:15 EST
That would be a duplicate of bug 1242322.

There is no relative/locking pointer confinement in Wayland *yet*, it's still under discussion/review upstream.

http://lists.freedesktop.org/archives/wayland-devel/2014-December/018653.html

and

http://lists.freedesktop.org/archives/wayland-devel/2015-October/024726.html
Comment 2 srakitnican 2016-10-27 12:23:34 EDT
Tested with latest xorg-x11-server build containing Xwayland fixes, mouse cursor still can't be locked to window.

$ rpm -q xorg-x11-server-Xwayland 
xorg-x11-server-Xwayland-1.19.0-0.3.20161026.fc25.x86_64
Comment 3 Fedora End Of Life 2017-11-16 14:41:55 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 srakitnican 2017-11-17 04:19:22 EST
Pointer confinement in Wayland appears to be working inside a wine window as of Fedora 27 release.

Note You need to log in before you can comment on or make changes to this bug.